# Enum Promise.State

java.lang.Object
java.lang.Enum<Promise.State>
com.codename1.util.promise.Promise.State

All Implemented Interfaces:
  `Comparable<Promise.State>`

Enclosing class:
  `Promise<T>`

public static enum Promise.State extends Enum<Promise.State>
Encapsulates the state of a Promise.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Fulfilled`
  the operation completed successfully.
  `Pending`
  initial state, neither fulfilled nor rejected.
  `Rejected`
  the operation failed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Promise.State`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Promise.State[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Pending

    public static final Promise.State Pending
    initial state, neither fulfilled nor rejected.

  - ### Fulfilled

    public static final Promise.State Fulfilled
    the operation completed successfully.

  - ### Rejected

    public static final Promise.State Rejected
    the operation failed.

- ## Method Details

  - ### values

    public static Promise.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Promise.State valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null